{% extends "layout.html" %}
{% set active_page = "selfService" %}
{% block body %}
<h1 class="headersy">{{gitdata.firstH1}}</h1>
  {% for message in get_flashed_messages() %}
  	<p>{{ message }}</p>
  {% endfor %}
<p>
  <form method="POST" action="./setgits">
    <label for="baseBranch" class="white">Branch Name:</label>
    <input type="hidden" class="soften" value="{{session["baseBranch"]}}" name="oldbranch">
    <input type="text"  class="soften" value="{{session["baseBranch"]}}" name="baseBranch">
    <input type="submit" class="flashy-button" value="Set Branch">
  </form>
  <form method="POST" action="./setBranchName">
  	<label for="newBranchName" class="white"`>New Branch Name:</label> 
	<input type="hidden" class="soften" value="{{session['newBranchName']}}" name="oldBranchName">
	<input type="text" class="soften" value="{{session['newBranchName']}}" name="newBranchName">
	<input type="submit" class="flashy-button" value="Set Branch Name">
  </form>
  <form method="POST" action="./setFolder">
    <label for="folder" class="white">Select a folder:</label>
    <select name="folder" class="soften" id ="folder">
      <option value="{{ gitdata.selectedFolder }}" selected>{{gitdata.selectedFolder}}</option>
      {% for folder in gitdata.csvFolders  %}
        <option value="{{folder}}">{{folder}}</option>
      {% endfor %}
    </select>
    <input type="submit" class="flashy-button" value="Set Folder"> 
  </form>
  <form method="POST" action="./gitpull">
    <input type="submit" class="flashy-button" value="Git Pull">
  </form>
  <form method="POST" action="./gitdel">
    <input type="submit" class="flashy-button" value="Git Delete">
  </form>
  <form method="POST" action="./gitcommit">
  	<input type="submit" class="flashy-button" value="Git Commit">
  </form>
</p>
{% block gitinfo %}
    {% if session['gitpulled'] == 1: %}
        <h1 class="headersy">Git Repo pulled, csv's in folder {{session['selectedFolder']}}</h1>
            <form method="POST" action="/csvSelect">
              <label for="folder" class="white">Select a csv file:</label>
              <select name="csvFile" class="soften" id ="csvFile">
                <option value="{{ session['csvFileSelected'] }}" selected>{{session['csvFileSelected']}}</option>
                {% for csvfile in session['csvFiles']  %}
                  <option value="{{csvfile}}">{{csvfile}}</option>
                {% endfor %}
              </select>
              <input type="submit" class="flashy-button" value="Select CSV">
            </form>
    {% endif %}	
    {% if session['showTable'] == 1: %}
   	<div class="csvheader-info">
    	<h1 class="white">Table for {{ session['csvFileSelected'] }}</h1>
		{% if session['maxPage'] > 0: %}
		<form method="POST" action="./tablePage">
			<label for="tablePageNumber" class="white">Select Page out {{ session['maxPage'] }}:</label>
			<input type="text" class="soften" value="{{ session['currentPage'] }}" name="currentPage">
			<input type="submit" class="flashy-button" value="Set Page">
		</form>
		{% endif %}
	</div>

    <div class="table-content">
    <table class="styled-table">
    <thead>
        <tr>
            {% for headerItem in cdata['csvFirstLine']:  %}
                <th>{{ headerItem }}</th>
            {% endfor %}
				<th>Delete Line</th>
				<th>Modify Line</th>
				<th>Copy Line</th>
        </tr>
    </thead>
    <tbody>
        {% for index,line in enumerate(cdata['csvData']): %}
        <tr> 
            {% for lineItem in line:  %}
            <td>{{ lineItem }}</td>
            {% endfor %}
			<td>
				<form method="POST" action="./modifyLine">
					<input type="hidden" value="{{ index }}" name="tableIndex">
					<input type="submit" class="flashy-button" value="Modify">
				</form>
			</td>
			<td>
				<form method="POST" action="./copyLine">
					<input type="hidden" value="{{ index }}" name="tableIndex">
					<input type="submit" class="flashy-button" value="Copy">
				</form>
			</td>
			<td>
				<form method="POST" action="./deleteLine">
					<input type="hidden" value="{{ index }}" name="tableIndex">
					<input type="submit" class="flashy-button" value="Delete">
				</form>
			</td>
        </tr>
        {% endfor %}
    </tbody>
    </table>
   </div>
	<h2 class="white">Form Controls</h2>
	<p>
	<form method="POST" action="./addLine">
		<input type="submit" class="flashy-button" value="Add">
	</form>
	<form method="POST" action="./cancelCsvTable">
		<input type="submit" class="flashy-button" value="Cancel">
	</form>
	<form method="POST" action="./writeCsvTable">
		<input type="submit" class="flashy-button"  value="Write">
	</form>
	</p>
    {% endif %}
{% endblock gitinfo %}
</body>
    {% endblock %}
